package com.google.gwt.misge.alarms.client;

import java.util.Comparator;
/*
 * @author jiorgos |  misge.intra@gmail.com under LGPL Licence and WITHOUT ANY WARRANTY
 * */

public class AlarmComparator implements Comparator{
	public int compare(Object alarm, Object anotherAlarm) {
    
	    
	    if (!(anotherAlarm instanceof GWTAlarm))
	          throw new ClassCastException("A GWTAlarm object expected.");
	        long tmpSequenceNumber = ((GWTAlarm) anotherAlarm).sequenceNumber;     
         
	        Number tmpNum = new Long(tmpSequenceNumber);
	        Number seqNum = new Long(((GWTAlarm)alarm).sequenceNumber );
	        
	        return tmpNum.intValue() - seqNum.intValue() ;    
	  }

}
