package com.google.gwt.misge.alarms.client;

import com.google.gwt.core.client.GWT;
import com.google.gwt.user.client.Window;
import com.google.gwt.user.client.rpc.AsyncCallback;
import com.google.gwt.user.client.rpc.ServiceDefTarget;


/*
 * @author jiorgos |  misge.intra@gmail.com under LGPL Licence and WITHOUT ANY WARRANTY
 */
public class GwtAlarmItems   {

  
  private  static GwtAlarmItems instance = null;
  final AlarmServiceAsync alarmService = (AlarmServiceAsync)GWT.create (AlarmService.class);
	
  
  public static GwtAlarmItems getInstance(){
	  if (instance == null){
		  instance = new GwtAlarmItems();
	  }
	  return instance;
  }

  
  public  void removeAlarm(final GWTAlarm alarm) {
	  getAsync().ackAlarm(alarm.alarmID,new AsyncCallback() {
            public void onFailure(Throwable caught) {
            	Window.alert("Failed to acknowledge alarmID:"+alarm.alarmID);
            }

            public void onSuccess(Object result) {                    	
            	Window.alert("Alarm ID:" +alarm.alarmID+ " acknowledged ");                    	
            }
        });  
}

  public final AlarmServiceAsync getAsync(){
	    ServiceDefTarget endpoint = (ServiceDefTarget)alarmService;
	    endpoint.setServiceEntryPoint (GWT.getModuleBaseURL()+AlarmService.ALARMSERVICE);
	    
	    return alarmService;
  }

}
