package com.google.gwt.misge.alarms.client;

/*
 * @author jiorgos |  misge.intra@gmail.com under LGPL Licence and WITHOUT ANY WARRANTY
 */
import com.google.gwt.user.client.rpc.IsSerializable;
import com.google.gwt.user.client.ui.Composite;

public class GWTAlarm extends Composite implements IsSerializable{
    
	public String alarmID;
	public String alarmType;
	public String source;
    public String userData;
    public String severity;
    public String msg;
    public long timestamp;
    public long sequenceNumber;
    public String alarmState;
    
    public boolean read;
    /** Creates a new instance of GWTAlarm */
    public GWTAlarm () {
    }
    
    public GWTAlarm (int length) {
        source = String.valueOf(length);
    }
    
    public GWTAlarm ( 	String alarmID,
    		  			String alarmType,
    					String source, 
			    		String userData, 
			    		String severity, 
			    		String msg, 
			    		String alarmState,
			    		long timestamp,
			    		long sequenceNumber){
    	this.alarmID = alarmID;
    	this.alarmType = alarmType;
        this.source= source;
        this.userData= userData;
        this.severity= severity;
        this.msg= msg;
        this.alarmState = alarmState;
	    this.timestamp= timestamp;
        this.sequenceNumber= sequenceNumber;
    }
        
}
